Table of Contents

Class: reaction | ../bkchem/reaction.py
--- | ---
Base Classes |
--- | ---
object
Methods |
--- | ---
__init__ add_reactant check_the_references get_package is_empty read_package
| __init__
    __init__ ( self )
| add_reactant
    add_reactant ( self,  mol )
| check_the_references
    check_the_references ( self,  available )
| get_package
    get_package ( self,  doc )
returns a DOM element describing the object in CDML, doc is the parent document which is used for element creation (the returned element is not inserted into the document)
| is_empty
    is_empty ( self )
| read_package
    read_package ( self,  doc )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1